Package org.drinkless.tdlib

# Class TdApi.ChatStatisticsSupergroup

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatStatistics
org.drinkless.tdlib.TdApi.ChatStatisticsSupergroup

Enclosing class:
  `TdApi`

public static class TdApi.ChatStatisticsSupergroup extends TdApi.ChatStatistics
A detailed statistics about a supergroup chat.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.ChatStatistics

  `TdApi.ChatStatistics.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.StatisticalGraph`
  `actionGraph`
  A graph containing number of different actions in the chat.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.StatisticalGraph`
  `dayGraph`
  A graph containing distribution of message views per hour.
  `TdApi.StatisticalGraph`
  `joinBySourceGraph`
  A graph containing number of new member joins per source.
  `TdApi.StatisticalGraph`
  `joinGraph`
  A graph containing number of members joined and left the chat.
  `TdApi.StatisticalGraph`
  `languageGraph`
  A graph containing distribution of active users per language.
  `TdApi.StatisticalValue`
  `memberCount`
  Number of members in the chat.
  `TdApi.StatisticalGraph`
  `memberCountGraph`
  A graph containing number of members in the chat.
  `TdApi.StatisticalGraph`
  `messageContentGraph`
  A graph containing distribution of sent messages by content type.
  `TdApi.StatisticalValue`
  `messageCount`
  Number of messages sent to the chat.
  `TdApi.DateRange`
  `period`
  A period to which the statistics applies.
  `TdApi.StatisticalValue`
  `senderCount`
  Number of users who sent messages to the chat.
  `TdApi.ChatStatisticsAdministratorActionsInfo[]`
  `topAdministrators`
  List of most active administrators in the last week.
  `TdApi.ChatStatisticsInviterInfo[]`
  `topInviters`
  List of most active inviters of new members in the last week.
  `TdApi.ChatStatisticsMessageSenderInfo[]`
  `topSenders`
  List of users sent most messages in the last week.
  `TdApi.StatisticalValue`
  `viewerCount`
  Number of users who viewed messages in the chat.
  `TdApi.StatisticalGraph`
  `weekGraph`
  A graph containing distribution of message views per day of week.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatStatisticsSupergroup()`
  A detailed statistics about a supergroup chat.
  `ChatStatisticsSupergroup(TdApi.DateRange period, TdApi.StatisticalValue memberCount, TdApi.StatisticalValue messageCount, TdApi.StatisticalValue viewerCount, TdApi.StatisticalValue senderCount, TdApi.StatisticalGraph memberCountGraph, TdApi.StatisticalGraph joinGraph, TdApi.StatisticalGraph joinBySourceGraph, TdApi.StatisticalGraph languageGraph, TdApi.StatisticalGraph messageContentGraph, TdApi.StatisticalGraph actionGraph, TdApi.StatisticalGraph dayGraph, TdApi.StatisticalGraph weekGraph, TdApi.ChatStatisticsMessageSenderInfo[] topSenders, TdApi.ChatStatisticsAdministratorActionsInfo[] topAdministrators, TdApi.ChatStatisticsInviterInfo[] topInviters)`
  A detailed statistics about a supergroup chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### period

    public TdApi.DateRange period
    A period to which the statistics applies.

  - ### memberCount

    public TdApi.StatisticalValue memberCount
    Number of members in the chat.

  - ### messageCount

    public TdApi.StatisticalValue messageCount
    Number of messages sent to the chat.

  - ### viewerCount

    public TdApi.StatisticalValue viewerCount
    Number of users who viewed messages in the chat.

  - ### senderCount

    public TdApi.StatisticalValue senderCount
    Number of users who sent messages to the chat.

  - ### memberCountGraph

    public TdApi.StatisticalGraph memberCountGraph
    A graph containing number of members in the chat.

  - ### joinGraph

    public TdApi.StatisticalGraph joinGraph
    A graph containing number of members joined and left the chat.

  - ### joinBySourceGraph

    public TdApi.StatisticalGraph joinBySourceGraph
    A graph containing number of new member joins per source.

  - ### languageGraph

    public TdApi.StatisticalGraph languageGraph
    A graph containing distribution of active users per language.

  - ### messageContentGraph

    public TdApi.StatisticalGraph messageContentGraph
    A graph containing distribution of sent messages by content type.

  - ### actionGraph

    public TdApi.StatisticalGraph actionGraph
    A graph containing number of different actions in the chat.

  - ### dayGraph

    public TdApi.StatisticalGraph dayGraph
    A graph containing distribution of message views per hour.

  - ### weekGraph

    public TdApi.StatisticalGraph weekGraph
    A graph containing distribution of message views per day of week.

  - ### topSenders

    public TdApi.ChatStatisticsMessageSenderInfo[] topSenders
    List of users sent most messages in the last week.

  - ### topAdministrators

    public TdApi.ChatStatisticsAdministratorActionsInfo[] topAdministrators
    List of most active administrators in the last week.

  - ### topInviters

    public TdApi.ChatStatisticsInviterInfo[] topInviters
    List of most active inviters of new members in the last week.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatStatisticsSupergroup

    public ChatStatisticsSupergroup()
    A detailed statistics about a supergroup chat.

  - ### ChatStatisticsSupergroup

    public ChatStatisticsSupergroup(TdApi.DateRange period, TdApi.StatisticalValue memberCount, TdApi.StatisticalValue messageCount, TdApi.StatisticalValue viewerCount, TdApi.StatisticalValue senderCount, TdApi.StatisticalGraph memberCountGraph, TdApi.StatisticalGraph joinGraph, TdApi.StatisticalGraph joinBySourceGraph, TdApi.StatisticalGraph languageGraph, TdApi.StatisticalGraph messageContentGraph, TdApi.StatisticalGraph actionGraph, TdApi.StatisticalGraph dayGraph, TdApi.StatisticalGraph weekGraph, TdApi.ChatStatisticsMessageSenderInfo[] topSenders, TdApi.ChatStatisticsAdministratorActionsInfo[] topAdministrators, TdApi.ChatStatisticsInviterInfo[] topInviters)
    A detailed statistics about a supergroup chat.
    Parameters:
      `period` - A period to which the statistics applies.
      `memberCount` - Number of members in the chat.
      `messageCount` - Number of messages sent to the chat.
      `viewerCount` - Number of users who viewed messages in the chat.
      `senderCount` - Number of users who sent messages to the chat.
      `memberCountGraph` - A graph containing number of members in the chat.
      `joinGraph` - A graph containing number of members joined and left the chat.
      `joinBySourceGraph` - A graph containing number of new member joins per source.
      `languageGraph` - A graph containing distribution of active users per language.
      `messageContentGraph` - A graph containing distribution of sent messages by content type.
      `actionGraph` - A graph containing number of different actions in the chat.
      `dayGraph` - A graph containing distribution of message views per hour.
      `weekGraph` - A graph containing distribution of message views per day of week.
      `topSenders` - List of users sent most messages in the last week.
      `topAdministrators` - List of most active administrators in the last week.
      `topInviters` - List of most active inviters of new members in the last week.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.ChatStatistics`
    Returns:
      this.CONSTRUCTOR